//引入配置文件
import { createI18n } from "vue-i18n"; //引入vue-1i8n
import en from './en.json';   // 英文
import zhHans from './zh-Hans.json';  // 中文
import { ref } from 'vue'


const userLanguage = ref(uni.getStorageSync('userLanguage'));
// 如果没有设置语言，则默认使用系统语言
if(!userLanguage.value){
	setLanguage(uni.getLocale() || 'en')
	userLanguage.value = uni.getStorageSync('userLanguage')
}

//创建配置
const i18n = createI18n({    
	locale: userLanguage.value,
	// legacy: false,
	fallbackLocale: 'en-US',
	messages: {
		// legacy: false,
		'en-US':en,
		'zh-Hans':zhHans
		
	},
})
 
function setLanguage(language) {
  userLanguage.value = language;
  uni.setStorageSync('userLanguage', language); // 存储到缓存
  uni.setLocale(language)
  location.reload();
}



//导出配置
export default i18n
export {
  setLanguage
}